View Issue Details

IDProjectCategoryView StatusLast Update
0001515SOGoWeb Calendarpublic2012-10-03 13:49
ReporterBaggypants Assigned Tolcharland 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.3.9 
Target Version2.0.1Fixed in Version2.0.1 
Summary0001515: Task View is very basic
Description

Task View in the Web Calendar Interface is lacking the ability to sort and group tasks. Or apply any form of ranking by importance.

TagsNo tags attached.

Activities

ludovic

ludovic

2012-09-20 15:22

administrator   ~0004520

The priority should be in a separate column so it can be sorted.

We should be able to sort tasks when clicking on the column names, and save the current selection.

lcharland

lcharland

2012-10-02 08:36

developer   ~0004604

Fixed in commit:
https://github.com/inverse-inc/sogo/commit/034f2c8745dabb71e9e420eb478b668328d6cdb3

  • Added sortable fields on Title, Due date, Location, Category and Calendar.
  • Added Priority column, also sortable.
  • Separated the logic of Events and Tasks.

Issue History

Date Modified Username Field Change
2011-11-29 15:23 Baggypants New Issue
2012-09-20 15:21 ludovic Status new => assigned
2012-09-20 15:21 ludovic Assigned To => lcharland
2012-09-20 15:22 ludovic Note Added: 0004520
2012-10-02 08:36 lcharland Note Added: 0004604
2012-10-02 08:36 lcharland Status assigned => resolved
2012-10-02 08:36 lcharland Fixed in Version => 2.0.1
2012-10-02 08:36 lcharland Resolution open => fixed
2012-10-03 13:49 wsourdeau Target Version => 2.0.1